# Interface IPreprocessResultsEventArgs

Argument sent to all handlers bound on QueryEvents.preprocessResults

## Index

### Properties

- query
- queryBuilder
- results
- searchAsYouType

## Properties

### query

query: IQuery

- Defined in events/QueryEvents.ts :163

The query that was just executed

### queryBuilder

queryBuilder: QueryBuilder

- Defined in events/QueryEvents.ts :159

The QueryBuilder that was used for the current query

### results

results: IQueryResults

- Defined in events/QueryEvents.ts :167

The results returned by the query that was executed

### searchAsYouType

searchAsYouType: boolean

- Defined in events/QueryEvents.ts :171

Whether the query is a search-as-you-type

### Hierarchy

- IPreprocessResultsEventArgs